Subject: Re: problems building cygwin from src tarball
From: Earnie Boyd <[email-masked]>
To: David Starks-Browning <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Wed, 28 Jun 2000 07:16:38 -0700 (PDT)

--- David Starks-Browning <[email-masked]> wrote:
> (Sorry for the late reply, I've been away.)
> 
> On Thursday 15 Jun 00, [email-masked] writes:
> > Hi,
> > 
> > what is the propesed procedure to build the cygwin-1.2.2 from the
> > source tarball in latest. Naivly I downloaded the file, extracted
> > the files into /src, went into /src/cygwin-1.2.2, run ./configure,
> > and than make. Make stops complaining not finding install-sh ... OK,
> > there were some messages in the list some time ago concerning the
> > missing install-sh.
> 
> And a new FAQ entry!
> 
> > Next try: After cleaning up the complete /src and reinstalling the
> > cygwin source tarball: Switch into /src/cygwin-1.2.2, mkdir bld, cd
> > bld, ../configure and then make ... fine, seems to work much better
> > - unfortunately after some time make stops complaining about missing
> > commands texinfo, texi2html, db2html ... I seem to miss something
> > still ...
> > 
> > A short check proves that the files are not part of the texinfo.tar.gz ...
> ?
> 
> I will add something to the FAQ about this.  I don't build Cygwin from
> source myself, so I can't determine what's missing.  If someone can
> tell me what *additional* packages and tools are required (i.e., not
> part of cygwin/latest), I can identify them in the FAQ.
> 

These a more warnings than errors.  If you made it this far then you've
successfully built Cygwin.  If you install texi2html, db2html, etc. these
warnings will go away.  The process is building the documentation for the
Cygwin so you won't have that portion in your build.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Get Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]